<div>
  <h1 class="text.dark">Welcome to a world of books and videos</h1>

  <ngb-carousel (slide)="update($event)" >
    <ng-template ngbSlide *ngFor="let s of slider; index as idx" [id]="idx+1">
      <img src="{{s.img}}"  class="img-fluid w-100" >
      <div class="carousel-caption">
        <h3>{{s.title}}</h3>
        <p>{{s.text}}</p>
      </div>
    </ng-template>
  </ngb-carousel>

  <div class="row mt-5">
    <div class="col">
      <button routerLink="/books" class="btn btn-{{(currentSlide % 2) === 0 ? 'success' : 'info'}} btn-block px-5">
        <fa name="book" size="4x"></fa> Books
      </button>
    </div>
    <div class="col">
      <button routerLink="/videos" class="btn btn-{{(currentSlide % 2) !== 0 ? 'success' : 'info'}} btn-block px-5">
        <fa name="file-video-o" size="4x"></fa> Video
      </button>
    </div>
  </div>

</div>
